package repository

import (
	"58team_blog/internal/domain/entities"

	"github.com/google/uuid"
)

type PostsRepository interface {
	Create(*entities.Posts) (*entities.Posts, error)
	FindById(uuid.UUID) (*entities.Posts, error)
	FindByPostId(uuid.UUID) (*entities.Posts, error)
	FindByUserId(uuid.UUID) (*entities.Posts, error)
	FindAllByUserId(uuid.UUID) ([]*entities.Posts, error)
	GetAll() ([]*entities.Posts, error)
	Delete(uuid.UUID) error
}
